Updates a commission rate

Update a commission rate.

put
Path parameters
idstringRequired

The id of the commission rate.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the commission rate command request DTO.

typestring · enumOptional

Provides all the types related to CommissionRate.

Possible values:
unitstring · min: 1Required

The unit of the commission rate.

quantityFrominteger · int32 · nullableOptional

The quantity from.

quantityTointeger · int32 · nullableOptional

The quantity to.

percentagenumber · doubleRequired

The percentage.

descriptionstring · nullableOptional

The description.

isDefaultbooleanOptional

The default commission rate. By default, it is set to false.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
put
/api/v1/commission-rates/{id}

Last updated